## rb-rating-helper rb-rating-helper |

## Synopsis

                        RBRatingPixbufs;
    #define             RB_RATING_MAX_SCORE
    gboolean            rb_rating_render_stars              (GtkWidget *widget,
                                                             GdkWindow *window,
                                                             RBRatingPixbufs *pixbufs,
                                                             gulong x,
                                                             gulong y,
                                                             gulong x_offset,
                                                             gulong y_offset,
                                                             gdouble rating,
                                                             gboolean selected);
    double              rb_rating_get_rating_from_widget    (GtkWidget *widget,
                                                             gint widget_x,
                                                             gint widget_width,
                                                             double current_rating);
    RBRatingPixbufs*    rb_rating_pixbufs_new               (void);
    void                rb_rating_pixbufs_free              (RBRatingPixbufs *pixbufs);
    void                rb_rating_install_rating_property   (GObjectClass *klass,
                                                             gulong prop);

## Description

## Details

### RBRatingPixbufs

    typedef struct _RBRatingPixbufs RBRatingPixbufs;

### RB_RATING_MAX_SCORE

    #define             RB_RATING_MAX_SCORE

### rb_rating_render_stars ()

    gboolean            rb_rating_render_stars              (GtkWidget *widget,
                                                             GdkWindow *window,
                                                             RBRatingPixbufs *pixbufs,
                                                             gulong x,
                                                             gulong y,
                                                             gulong x_offset,
                                                             gulong y_offset,
                                                             gdouble rating,
                                                             gboolean selected);

`widget` : |
`window` : |
`pixbufs` : |
`x` : |
`y` : |
`x_offset` : |
`y_offset` : |
`rating` : |
`selected` : |
Returns : |

### rb_rating_get_rating_from_widget ()

    double              rb_rating_get_rating_from_widget    (GtkWidget *widget,
                                                             gint widget_x,
                                                             gint widget_width,
                                                             double current_rating);

`widget` : |
`widget_x` : |
`widget_width` : |
`current_rating` : |
Returns : |

### rb_rating_pixbufs_new ()

    RBRatingPixbufs*    rb_rating_pixbufs_new               (void);

Returns : |

### rb_rating_pixbufs_free ()

    void                rb_rating_pixbufs_free              (RBRatingPixbufs *pixbufs);

`pixbufs` : |

### rb_rating_install_rating_property ()

    void                rb_rating_install_rating_property   (GObjectClass *klass,
                                                             gulong prop);

`klass` : |
`prop` : |